GearmanClient::setExceptionCallback
GearmanClient::setOptions
GearmanClient
PHP Manual

# GearmanClient::setFailCallback

Set callback for job failure

### Description

public bool GearmanClient::setFailCallback ( callable `$callback` )

Sets the callback function to be used when a task does not complete successfully. The function should accept a single argument, a GearmanTask object.

### Parameters

`callback`

  A function to call

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::setDataCallback
- GearmanClient::setCompleteCallback
- GearmanClient::setCreatedCallback
- GearmanClient::setExceptionCallback
- GearmanClient::setStatusCallback
- GearmanClient::setWarningCallback
- GearmanClient::setWorkloadCallback